Skip to main content
`Ctrl`+`K`

# SVDSetConvergenceTest

Specifies how to compute the error estimate used in the convergence test.

## Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDSetConvergenceTest(SVD svd,SVDConv conv)

Logically Collective

## Input Parameters

- svd - the singular value solver context

- conv - the type of convergence test, see `SVDConv` for possible values

## Options Database Keys

- -svd_conv_abs - sets the absolute convergence test

- -svd_conv_rel - sets the convergence test relative to the singular value

- -svd_conv_norm - sets the convergence test relative to the matrix norms

- -svd_conv_maxit - forces the maximum number of iterations as set by `-svd_max_it`

- -svd_conv_user - selects the user-defined convergence test

## Note

The default in standard SVD is `SVD_CONV_REL`, while in GSVD the default is `SVD_CONV_NORM`.

## See Also

SVD: Singular Value Decomposition, `SVDGetConvergenceTest()`, `SVDSetConvergenceTestFunction()`, `SVDSetStoppingTest()`, `SVDConv`

## Level

intermediate

## Location

src/svd/interface/svdopts.c

Index of all SVD routines Table of Contents for all manual pages Index of all manual pages